package com.syaroful.agrilinkvocpro.plant_disease_detection_feature.data.model

import kotlinx.serialization.Serializable

@Serializable
data class GeminiResponse(
    val candidates: List<Candidate>,
)

@Serializable
data class Candidate(
    val avgLogprobs: Double,
    val content: Content,
    val finishReason: String
)

@Serializable
data class Content(
    val parts: List<Part>,
    val role: String
)

@Serializable
data class Part(
    val text: String
)